lp(1)

NOM
lp - Imprimer des fichiers.

SYNOPSIS
lp [ -h nom_hôte[:port] ] [ -E ] [ -U identifiant ] [ -c ] [ -d destination[/instance] ] [ -m ] [ -n nombre_copies ] [ -o option[=valeur] ] [ -q priorité ] [ -s ] [ -t titre ] [ -H traitement ] [ -P liste_pages ] [ -- ] [ fichier(s) ]
lp [ -h nom_hôte[:port] ] [ -E ] [ -U identifiant ] [ -c ] [ -i id_tâche ] [ -n nombre_copies ] [ -o option[=valeur] ] [ -q priorité ] [ -t titre ] [ -H traitement ] [ -P liste_pages ]

DESCRIPTION
lp demande l'impression d'un fichier ou modifie un travail d'impression en attente. Utiliser « - » comme nom de fichier pour forcer l'impression à partir de l'entrée standard.

  LA DESTINATION PAR DÉFAUT
CUPS fournit plusieurs façons de spécifier la destination par défaut. Les variables d'environnement « LPDEST » et « PRINTER » sont lues en premier. Si aucune n'est paramétrée, la valeur par défaut, spécifiée en utilisant la commande lpoptions(1) est utilisée, suivie par la valeur par défaut spécifiée en utilisant la commande lpadmin(8).

OPTIONS
Les options suivantes sont reconnues par lp :

--  Marquer la fin des options ; à utiliser pour imprimer un fichier dont le nom commence par un tiret (« - »).

-E  Obliger un chiffrement lors de la connexion au serveur.

-U identifiant
    Indiquer l'identifiant à utiliser pour les connexions au serveur.

-c  Cette option n'est fournie que pour des raisons de compatibilité avec les précédentes versions. Sur les systèmes le permettant, elle force la copie du fichier d'impression dans le répertoire spool avant impression. Avec CUPS, les fichiers d'impression sont envoyés à l'ordonnanceur à travers IPP. Le résultat est le même dans les deux cas.

-d destination
    Imprimer les fichiers sur l'imprimante donnée.

-h nom_hôte[:port]
    Choisir un serveur de remplacement. Remarque : cette option doit se présenter avant toutes autres.

-i id_travail
    Indiquer l'identifiant du travail d'impression à modifier.

-m  Envoyer un courrier électronique lorsque l'impression est terminée.

-n copies
    Nombre de copies à effectuer.

-o "nom=valeur [ ... nom=valeur ]"
    Définir une ou plusieurs options pour le travail d'impression. Consultez « OPTIONS COMMUNES DES TRAVAUX » ci-après.

-q priorité
    Définir la priorité du travail d'impression, de 1 (minimale) à 100 (maximale). La priorité par défaut est 50.

-s  Ne pas afficher le numéro du travail (mode silencieux).

-t "nom"
    Définir le nom du travail.

-H hh:mm

-H hold

-H immediate

-H restart

-H resume
    Définir quand l'impression doit être effectuée. La valeur immediate effectue l'impression immédiatement, la valeur hold suspend l'impression pour un temps indéterminé, une heure (non locale) UTC (HH:MM) suspend l'impression jusqu'à l'heure donnée. Utilisez la valeur resume avec l'option -i pour reprendre un travail suspendu. Utilisez la valeur restart avec l'option -i pour relancer un travail terminé.

-P liste_pages
    Définir quelles sont les pages du document à imprimer. Cette liste peut contenir des numéros ou des intervalles (#-#), séparés par des virgules (par exemple : 1,3-5,16). Les numéros de page font référence à la sortie des pages et non aux pages originales du document — des options telles que « number-up » peuvent affecter la numérotation des pages.

  OPTIONS COMMUNES DES TRAVAUX
En plus des options spécifiques des imprimantes, indiquées par lpoptions(1), les options génériques suivantes sont disponibles :

-o job-sheets=nom
    Imprimer une page d’ouverture (bannière) avec le document. Le nom peut être « name », « classified », « confidential », « secret », « standard », « topsecret », ou « unclassified ».

-o media=taille
    Fixer la taille du papier à taille. La plupart des imprimantes gèrent au moins les tailles appelées « a4 », « letter » et « legal ».

-o number-up={2|4|6|9|16}
    Imprimer 2, 4, 6, 9 ou 16 pages (entrée) sur chaque page produite.

-o orientation-requested=4
    Imprimer en mode paysage (rotation de 90 degrés dans le sens anti-horaire).

-o orientation-requested=5
    Imprimer en mode paysage (rotation de 90 degrés dans le sens horaire).

-o orientation-requested=6
    Imprimer en mode portrait inversé (rotation de 180 degrés).

-o print-as-raster
    Prints the job as raster.

-o print-quality=3

-o print-quality=4

-o print-quality=5
    Indiquer la qualité de la sortie — draft (3), normal (4) ou best (5).

-o sides=one-sided
    Imprimer sur une seule face de feuille.

-o sides=two-sided-long-edge
    Imprimer sur les deux faces de feuille pour une sortie portrait.

-o sides=two-sided-short-edge
    Imprimer sur les deux faces de feuille pour une sortie paysage.

CONFORMITÉ
Contrairement au système d'impression System V, les noms d’imprimante CUPS peuvent contenir n'importe quel caractère imprimable sauf ESPACE, TABULATION, « / » ou « # ». De même, les noms d'imprimante et de classe ne sont pas sensibles à la casse.

L'option « -q » accepte des valeurs, différentes de celles utilisées par la commande lp de Solaris, correspondant aux valeurs de priorité d’IPP (1-100, 100 étant la plus haute priorité), au lieu des valeurs de Solaris (0-39, 0 étant la plus haute priorité).

EXEMPLES
Imprimer deux copies d’un document sur l’imprimante par défaut :

    lp -n 2 nom_fichier

Imprimer en recto-verso sur une page « Legal » avec l'imprimante « toto » :

    lp -d foo -o media=legal -o sides=two-sided-long-edge nom_fichier

Imprimer deux pages sur une avec l'imprimante « toto ».

    lp -d toto -o number-up=2 nom_fichier

VOIR AUSSI
cancel(1), lpadmin(8), lpoptions(1), lpq(1), lpr(1), lprm(1), lpstat(1), aide en ligne de CUPS <URL:http://localhost:631/help>

COPYRIGHT
Copyright © 2020-2024 by OpenPrinting.